%define name	opengroupware-core
%define version 4.2	
%define cvs     20040523
%define release %{cvs}.2mdk

%define major 4
%define libname %mklibname %name %major

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org web application system, core libraries
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-xml
Source:      opengroupware.org-core-%{cvs}.tar.bz2

BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel
Requires:  opengroupware-gstep-make 
Requires:  openldap, zlib
BuildRequires: gcc-objc
BuildRequires: libldap-devel, openldap
BuildRequires: zlib-devel, zlib

%description
This package contains core OpenGroupware.org libraries. 

%package -n %libname
Summary: OpenGroupware.org web application system, core libraries
Group: System/Libraries
Obsoletes: %name < %version-%release
Provides: %name = %version-%release
Provides: lib%name = %version-%release

%description -n %libname
This package contains core OpenGroupware.org libraries.

%package -n %libname-devel
Summary: The header files for the core OpenGroupware.org libraries.
Group:   Development/Other
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
The devel package contains the header files for the OpenGroupware.org
core libraries.

%package tools
Summary: Some basic tools based on the core OpenGroupware.org libraries.
Group:   Development/Other

%description tools
The tools package contains some basic tools available with the
OpenGroupware.org libraries, like ldapls and ldap2dsml.

%prep

%setup -q -n opengroupware.org-core

%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}

make -s nosasl=yes nossl=yes debug=yes all
cd samples
make -s debug=yes strip=yes all
cd ..


%install
rm -rf ${RPM_BUILD_ROOT}

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install

cd samples
make -s nosasl=yes nossl=yes debug=yes strip=yes \
  INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install
cd ..

rm -f ${RPM_BUILD_ROOT}%{prefix}/Library/SaxMappings/NGiCal.xmap \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/encoding \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/eoqual \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/fmdls \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/httpu_notify \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ical2 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ical3 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/imapquota \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/parserule \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/subclassing \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/test_qpdecode \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/testdirenum \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/testsock 


%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi


%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT


%files -n %libname
%defattr(-,root,root,-)
%doc README COPYING COPYRIGHT Version
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/%{dirarch}
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libEOControl*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGExtensions*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGStreams*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGMime*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGLdap*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGiCal*.so*.4.2*

%files -n %libname-devel
%defattr(-,root,root,-)
%dir %{prefix}
%dir %{prefix}/Headers
%{prefix}/Headers/EOControl
%{prefix}/Headers/NGExtensions
%{prefix}/Headers/NGStreams
%{prefix}/Headers/NGLdap
%{prefix}/Headers/NGMime
%{prefix}/Headers/NGMail
%{prefix}/Headers/NGImap4
%{prefix}/Headers/NGiCal
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libEOControl*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGExtensions*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGStreams*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGMime*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGLdap*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libNGiCal*.so

%files tools
%defattr(-,root,root,-)
%doc README COPYING COPYRIGHT Version
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ldapls
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ldap2dsml
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/ldapchkpwd
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/mime2xml
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/imapls
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/bmlookup

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040523.1mdk
- 20040523
- build with openldap2

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-20040204.2mdk
- Own dir
- don't hardcore arch in path
- %%mklibname

* Tue Feb 10 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040204.1mdk
- 20040204

* Fri Dec 12 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.2mdk
- rebuild with proper gstep-make

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.1mdk
- new snapshot -bugfixes

* Mon Oct 5 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031001.1mdk
- new snapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- library-devel requires library
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile


